Skip to main content

Create AI service account

POST
/ai/admin/service-accounts

Contract

Parameter
Value
Sectionai-admin
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectService account to create: name (required), ownerUserId, allowedProducts[], allowedAgents[], allowedPlugins[], allowedNetworks[], expiresAt
  • {}

Responses

4 responses

Status
Description
Type
200
Successful responseobject
400
Invalid request body or missing nameobject
401
Unauthorizedobject
500
Internal server errorobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }